Bug 531593 - [QLogic 5.5 bug] qla2xxx - enable MSI-X and correct/cleanup irq request code
Summary: [QLogic 5.5 bug] qla2xxx - enable MSI-X and correct/cleanup irq request code
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.5
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: 5.5
Assignee: Tom Coughlan
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks: 533941 537020 5.5TechNotes-Updates
TreeView+ depends on / blocked
 
Reported: 2009-10-28 20:44 UTC by Marcus Barrow
Modified: 2010-11-22 23:28 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
This patch enables the FC and FCoE drivers to use MSI-X or MSI interrupts when they are available. The ql2xenablemsix can be used to override this. 0 = enable traditional pin-based interrupt mechanism 1 = enable MSI-X interrupt mechanism 2 = enable MSI interrupt mechanism
Clone Of:
Environment:
Last Closed: 2010-03-30 06:51:14 UTC
Target Upstream Version:


Attachments (Terms of Use)
improved MSI-X patch, enable MSI-X (3.25 KB, patch)
2009-10-28 20:51 UTC, Marcus Barrow
no flags Details | Diff
posted patch (3.39 KB, patch)
2009-10-29 18:03 UTC, Marcus Barrow
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
IBM Linux Technology Center 57382 None None None 2019-06-27 06:10:19 UTC
Red Hat Product Errata RHSA-2010:0178 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.5 kernel security and bug fix update 2010-03-29 12:18:21 UTC

Description Marcus Barrow 2009-10-28 20:44:35 UTC
In a previous patch we failed to enable MSI-X and also to correctly and cleanly handle the module parameter to control this behaviour.

This is an important fix which is requested to be back ported for z-stream by IBM.

Comment 1 Marcus Barrow 2009-10-28 20:51:00 UTC
Created attachment 366495 [details]
improved MSI-X patch, enable MSI-X

Comment 2 Richard A Lary 2009-10-29 17:27:48 UTC
Applied patch to rhel 5.4 -165 kernel, confirmed MSI-X interrupts are now the default interrupt mode. Also verified selection of other interrupt modes using ql2xenablemsix. Testing was performed on IBM p6 server.

Comment 3 Marcus Barrow 2009-10-29 18:03:17 UTC
Created attachment 366677 [details]
posted patch

Comment 5 RHEL Program Management 2009-10-29 20:30:44 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 Marcus Barrow 2009-10-29 20:38:35 UTC
When this patch is ported for the -stream, the version number should be changed
to:

8.03.00.12.05.04-k

Comment 7 IBM Bug Proxy 2009-10-30 15:01:15 UTC
------- Comment From rlary@us.ibm.com 2009-10-30 10:55 EDT-------
*** Bug 56324 has been marked as a duplicate of this bug. ***

Comment 10 Marcus Barrow 2009-11-05 19:33:15 UTC
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
This patch enables the FC and FCoE drivers to use MSI-X or MSI interrupts when they are available. The ql2xenablemsix can be used to override this.

 0 = enable traditional pin-based interrupt mechanism
 1 = enable MSI-X interrupt mechanism
 2 = enable MSI interrupt mechanism

Comment 11 IBM Bug Proxy 2009-11-06 19:50:37 UTC
------- Comment From rlary@us.ibm.com 2009-11-06 14:47 EDT-------
Changing IBM state to Patch Tested as per IBM comment 5

Comment 14 Don Zickus 2009-11-17 21:57:49 UTC
in kernel-2.6.18-174.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.

Comment 16 IBM Bug Proxy 2009-11-18 18:41:06 UTC
------- Comment From rlary@us.ibm.com 2009-11-18 13:34 EDT-------
Changed component from infiniband to Kernel Drivers

------- Comment From rlary@us.ibm.com 2009-11-18 13:36 EDT-------
*** Bug 54565 has been marked as a duplicate of this bug. ***

Comment 17 Richard A Lary 2009-11-18 23:13:24 UTC
(In reply to comment #14)
> in kernel-2.6.18-174.el5
> You can download this test kernel from http://people.redhat.com/dzickus/el5
> Please do NOT transition this bugzilla state to VERIFIED until our QE team
> has sent specific instructions indicating when to do so.  However feel free
> to provide a comment indicating that this fix has been verified.  

Verified fix in -174 kernel.  Driver loads with MSI-X interrupts as default.
Each of driver ql2xenablemsix parameter were confimed to properly select INTA, MSI-X and MSI interrupts.

Comment 20 IBM Bug Proxy 2010-01-22 16:11:34 UTC
------- Comment From lxie@us.ibm.com 2010-01-22 11:09 EDT-------
Redhat has released  rhel5.5 alpha build today (1/22), please retest it with the
alpha and close the bug if it's fixed.

Thank you very much for your support.

Linda

Comment 21 IBM Bug Proxy 2010-01-26 21:11:12 UTC
------- Comment From rlary@us.ibm.com 2010-01-26 16:07 EDT-------
(In reply to comment #16)
> Redhat has released  rhel5.5 alpha build today (1/22), please retest it with
> the  alpha and close the bug if it's fixed.

Testing blocked by bug 59338

Comment 22 Andrew Vasquez 2010-01-27 00:34:15 UTC
re: comment 21:

59338 appears to an old bug for RH 7.x.  Was that a typo?

Comment 23 IBM Bug Proxy 2010-01-27 01:20:31 UTC
------- Comment From rlary@us.ibm.com 2010-01-26 20:12 EDT-------
(In reply to comment #18)
> re: comment 21:
> 59338 appears to an old bug for RH 7.x.  Was that a typo?
I should have mentioned this is an IBM LTC bugzilla which is preventing the installation of RHEL5.5 Alpha on a large number of our Power PC systems including the one I have access to.

[Bug 59338] RIT397463: manual install exited abnormally as loader received SIGSEGV

Comment 24 IBM Bug Proxy 2010-02-04 23:30:41 UTC
------- Comment From rlary@us.ibm.com 2010-02-04 18:26 EDT-------
Verified full functionality of qla2xxx interrupt type selection via ql2xenablemsix driver parameter as well as proper interaction with qlge driver on dual pci function FCoE (CNA) adapter.
Support for both LSI (PIN) interrupts and MSI or MSI-X interrupts on dual function adapter on PowerPC requires updated system firmware.
See LTC bug  56017

Marking as closed on IBM side of reverse mirror.

Comment 26 errata-xmlrpc 2010-03-30 06:51:14 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0178.html


Note You need to log in before you can comment on or make changes to this bug.